OGRE: Ogre::ParamDictionary Class Reference - OGRE Documentation

Public Member Functions | Protected Member Functions | Protected Attributes | Friends

# Ogre::ParamDictionary Class Reference
[General]

Class to hold a dictionary of parameters for a single class. More...

`#include <OgreStringInterface.h>`

List of all members.

## Public Member Functions
| ParamDictionary ()
void | addParameter (const ParameterDef &paramDef, ParamCommand *paramCmd)
| Method for adding a parameter definition for this class.
const ParameterList & | getParameters (void) const
| Retrieves a list of parameters valid for this object.
## Protected Member Functions
ParamCommand * | getParamCommand (const String &name)
| Retrieves the parameter command object for a named parameter.
const ParamCommand * | getParamCommand (const String &name) const
## Protected Attributes
ParameterList | mParamDefs
| Definitions of parameters.
ParamCommandMap | mParamCommands
| Command objects to get/set.
## Friends
class | StringInterface

## Detailed Description

Class to hold a dictionary of parameters for a single class.

Definition at line 88 of file OgreStringInterface.h.

## Constructor & Destructor Documentation

Ogre::ParamDictionary::ParamDictionary | ( |  | ) |

Definition at line 125 of file OgreStringInterface.h.

## Member Function Documentation

void Ogre::ParamDictionary::addParameter | ( | const ParameterDef & | paramDef,
|  | ParamCommand * | paramCmd |
| ) |  |  |

Method for adding a parameter definition for this class.

Parameters:

  | paramDef | A ParameterDef object defining the parameter
  | paramCmd | Pointer to a ParamCommand subclass to handle the getting / setting of this parameter. NB this class will not destroy this on shutdown, please ensure you do

Definition at line 132 of file OgreStringInterface.h.

References Ogre::ParameterDef::name.

const ParamCommand* Ogre::ParamDictionary::getParamCommand | ( | const String & | name | ) | const`[protected]`

Definition at line 112 of file OgreStringInterface.h.

ParamCommand* Ogre::ParamDictionary::getParamCommand | ( | const String & | name | ) | `[protected]`

Retrieves the parameter command object for a named parameter.

Definition at line 99 of file OgreStringInterface.h.

Referenced by Ogre::StringInterface::getParameter().

const ParameterList& Ogre::ParamDictionary::getParameters | ( | void |  | ) | const

Retrieves a list of parameters valid for this object.

Returns:
  A reference to a static list of ParameterDef objects.

Definition at line 142 of file OgreStringInterface.h.

## Friends And Related Function Documentation

friend class StringInterface`[friend]`

Definition at line 90 of file OgreStringInterface.h.

## Member Data Documentation

ParamCommandMap Ogre::ParamDictionary::mParamCommands`[protected]`

Command objects to get/set.

Definition at line 96 of file OgreStringInterface.h.

ParameterList Ogre::ParamDictionary::mParamDefs`[protected]`

Definitions of parameters.

Definition at line 93 of file OgreStringInterface.h.

Referenced by Ogre::StringInterface::copyParametersTo().

The documentation for this class was generated from the following file:

- OgreStringInterface.h

Copyright © 2008 Torus Knot Software Ltd
This work is licensed under a Creative Commons Attribution-ShareAlike 3.0 Unported License.
Last modified Wed Nov 3 2010 19:25:02